package clientFunction;

import java.sql.Connection;
import java.sql.DriverManager;

public class Configuration {
	
	/** Dimensione array di byte letto da file da criptare */
	public static int BLOCK_SIZE = 4095;
	/** Dimensione array di byte da decriptare */
	public static int AES_BLOCK_SIZE = ((BLOCK_SIZE / 16) + 1) * 16;
	/** Algoritmo utilizzato per crittografare il file */
	public static String CRIPTOGRAPHIC_ALGORITHM = "AES";
	
	public static String DIFFIE_HELLMAN = "DH";
	
	
	/**
	 * Nomi dei layer
	 * BEL = base encryption layer
	 * SEL = surface encryption layer
	 */
	public final static String BEL_LAYER = "BEL";
	public final static String SEL_LAYER = "SEL";

	/**
	 * Separatore degli utenti nella tabella deig gruppi
	 */
	public final static String USER_SEPARATOR = "-";
	
	
	/** ******************************************************************************
	 * 							TOKEN TOKEN
	 ***************************************************************************** **/
	   
    /**
     *  Funzione hash per la creazione del token
     */
    public final static String HASHING_ALGORITHM = "HmacSHA1";
	
	/**
	 * Parametri di accesso al database
	 * @throws Exception 
	 */
	public final static Connection getConnection() throws Exception{
		if (Configuration.connection == null) {
			Class.forName(Configuration.DRIVER);
			Configuration.connection = DriverManager.getConnection(URL, USER, PASSWORD);
		}
	
		return connection;
	}
	
	private static Connection connection = null;
	
	private final static String USER = "postgres";
	private final static String URL = "jdbc:postgresql://localhost:5432/iOverEncryptDB";
	private final static String PASSWORD = "postgres";
	private final static String DRIVER = "org.postgresql.Driver";
} 