package clientFunction;



public class Intervallo {
	
	private int min;
	private int max;
	
	public Intervallo()
	{
		this.min=0;
		this.max=0;
	}
	
	public Intervallo(int min,int max)
	{
		this.min=min;
		this.max=max;
	}
	
	public void setMinMax(int minimo, int massimo)
	{
		this.max=massimo;
		this.min=minimo;
	}
	
	public int getMin()
	{
		return min;
		
	}
	
	public int getMax()
	{
		return max;
	}
	
	public boolean contains(Intervallo i)
	{
		if((i.getMin()>=this.min)&&(i.getMax()<=this.max))
			return true;
		return false;
	}
	
	public boolean contiene(int i)
	{
		if((i>=this.min)&&(i<=this.max))
			return true;
		return false;
	}
	
	public boolean Consecutivo(Intervallo i)
	{
		if((i.getMin()<this.min)&&((i.getMax()<=this.getMax())&&(i.getMax()>=this.getMin())))
			return true;
		if((i.getMin()>=this.min)&&((i.getMax()>=this.getMax())&&(i.getMin()<this.getMax())))
			return true;
		return false;
	}
	
	public static Intervallo unisci(Intervallo a,Intervallo b)
	{
		int min;
		int max;
		if(a.getMin()<=b.getMin())
			min=a.getMin();
		else
			min=b.getMin();
		
		if(a.getMax()>=b.getMax())
			max=a.getMax();
		else
			max=b.getMax();
		
		Intervallo nuovo=new Intervallo();
		nuovo.setMinMax(min, max);
		return nuovo;
	}
	
	public void stampa()
	{
		System.err.println("["+min+","+max+"]");
	}

}

