package clientFunction;

public class FileListElement {
	private String fileID;
	private String filename;
	private String fileIDKeyBEL;
	private String fileIDKeySEL=null;
	private String ownerID;
	

	public FileListElement(String fileID) {
		super();
		this.fileID = fileID;
	}
	
	public FileListElement(String fileID, String filename,String fileIDKeyBEL) {
		super();
		this.fileID = fileID;
		this.filename = filename;
		this.fileIDKeyBEL=fileIDKeyBEL;
	}
	
	public FileListElement(String fileID, String filename,String fileIDKeyBEL,String fileIDKeySEL) {
		super();
		this.fileID = fileID;
		this.filename = filename;
		this.fileIDKeyBEL=fileIDKeyBEL;
		this.fileIDKeySEL=fileIDKeySEL;
	}
	
	public FileListElement(String fileID, String filename,String fileIDKeyBEL,String fileIDKeySEL,String ownerID) {
		super();
		this.fileID = fileID;
		this.filename = filename;
		this.fileIDKeyBEL=fileIDKeyBEL;
		this.fileIDKeySEL=fileIDKeySEL;
		this.ownerID=ownerID;
	}
	
	public String toString(){
		return filename;
	}
	
	public String getID(){
		return fileID;
	}
	
	public String getFileName(){
		return filename;
	}
	
	public String getFileIDKeyBEL(){
		return fileIDKeyBEL;
	}
	
	public String getFileIDKeySEL(){
		return fileIDKeySEL;
	}
	
	public String getOwnerID(){
		return ownerID;
	}
	
}
