package clientFunction;

public class UserListElement{
	/** ID dell'utente */
	private String ULE_UserID;
	/** Nome dell'utente */
	private String ULE_Name;
	/** Cognome dell'utente */
	private String ULE_Surname;

	/**  
	 * Costruttore della classe nel quale inizializzo i campi della classe
	 * 
	 * @param	String	UserID	-	ID dell'utente
	 * @param	String	Name	-	Nome dell'utente
	 * @param	String	Surname	-	Cognome dell'utente
	 * 
	 * @return	ASSENTE
	 *  
	 * */
	public UserListElement(String UserID, String Name, String Surname) {
		ULE_UserID = UserID;
		ULE_Name = Name;
		ULE_Surname = Surname;
	}
	
	/**  
	 * Costruttore della classe nel quale inizializzo i campi della classe
	 * 
	 * @param	String	UserID	-	ID dell'utente
	 * 
	 * @return	ASSENTE
	 *  
	 * */
	public UserListElement(String UserID) {
		ULE_UserID = UserID;
		ULE_Name = null;
		ULE_Surname = null;
	}

	/** 
	 * Ridefinisco il metodo toString() in modo che venga restituito la stringa composta da nome e cognome
	 * 
	 * @param	ASSENTE
	 * 
	 * @return	String	-	Nome + Cognome
	 * 
	 * */
	public String toString() {
		return ULE_Name + " " + ULE_Surname;
	}

	/** 
	 * Metodo che ritorna l'id dello user
	 * 
	 * @param	ASSENTE
	 * 
	 * @return	String	-	ID dell'utente
	 * 
	 * */
	public String getID() {
		return ULE_UserID;
	}
	
	/** 
	 * Metodo che ritorna il nome dello user
	 * 
	 * @param	ASSENTE
	 * 
	 * @return	String	-	Nome dell'utente
	 * 
	 * */
	public String getName() {
		return ULE_Name;
	}
	
	/** 
	 * Metodo che ritorna il cognome dello user
	 * 
	 * @param	ASSENTE
	 * 
	 * @return	String	-	Cognome dell'utente
	 * 
	 * */
	public String getSurname() {
		return ULE_Surname;
	}
	
	/**
	 * Metodo che setta il nome dello user
	 * 
	 * @param	String	name	-	Nome dello user
	 * 
	 * @return	ASSENTE
	 * 
	 */
	public void setName(String name){
		ULE_Name = name;
	}
	
	/**
	 * Metodo che setta il cognome dello user
	 * 
	 * @param	String	surname	-	Cognome dello user
	 * 
	 * @return	ASSENTE
	 * 
	 */
	public void setSurname(String surname){
		ULE_Surname = surname;
	}
	
	
}
