#ifndef HBEL_H_INCLUDED
#define HBEL_H_INCLUDED

#include <string>
#include "json_spirit.h"

using namespace std;
using namespace json_spirit;



struct HBELTOKEN
{
    string token;
    string label;
};

struct HBELDEF
{
    string hbel_public_key;
    string hbel_grpsrc;
    string hbel_grpdst;
};

struct HBELNODE
{
    string private_key;
    string public_key;
    string grpsrc;
    string grpdst;

    vector<HBELTOKEN>* hbeltokens;
};


struct HBEL
{
    vector<HBELNODE>* node;
    vector<HBELDEF>* def;
};

void read_hbel_def( const Object& obj, HBELDEF& record );
void read_hbel_token( const Object& obj, HBELTOKEN& record );
void read_hbel_node( const Object& obj, HBELNODE& record );
HBEL* read_hbel_tree( const char* file_name );

#endif
