package clientFunction;

import java.sql.Connection;
import java.sql.DriverManager;

public class Configuration {
	
	public static int BLOCK_SIZE = 4095;

	public static int AES_BLOCK_SIZE = ((BLOCK_SIZE / 16) + 1) * 16;

	public static String CRIPTOGRAPHIC_ALGORITHM = "AES";
	
	public static String DIFFIE_HELLMAN = "DH";
	

	public final static String BEL_LAYER = "BEL";
	public final static String SEL_LAYER = "SEL";


	public final static String USER_SEPARATOR = "-";
	
	
	/** ******************************************************************************
	 * 							TOKEN TOKEN
	 ***************************************************************************** **/
	   
 
    public final static String HASHING_ALGORITHM = "HmacSHA1";
	
	
	public final static Connection getConnection() throws Exception{
		if (Configuration.connection == null) {
			Class.forName(Configuration.DRIVER);
			Configuration.connection = DriverManager.getConnection(URL, USER, PASSWORD);
		}
	
		return connection;
	}
	
	private static Connection connection = null;
	
	private final static String USER = "postgres";
	private final static String URL = "jdbc:postgresql://localhost:5432/iOverEncryptDB";
	private final static String PASSWORD = "postgres";
	private final static String DRIVER = "org.postgresql.Driver";
} 