package clientFunction;
import java.sql.Connection;
import java.sql.DriverManager;

/**
 * This class implements the connection with the database 
 */
public class DBConnection {
	
	static final String DRIVER_CLASS = "org.postgresql.Driver";
	
	static final String DB_URL = "jdbc:postgresql://localhost:5432/iOverEncryptDB";
	
	static final String DB_USER = "postgres";
	
	static final String DB_PASSWORD = "postgres";
	
	public Connection conn;

	
	public DBConnection() {
		try {
			Class.forName(DRIVER_CLASS);
			conn = DriverManager.getConnection(DB_URL, DB_USER, DB_PASSWORD);
		} catch (Exception e) {
			System.err.println(e.toString());
		}
	}
	
	public void closeConnection() {
		try {
			conn.close();
		} catch (Exception e) {
			System.err.println(e.toString());
		}
	}

	public Connection getConnection() {
		try {
			if(!conn.isClosed())
				return conn;
		} catch (Exception e) {
			System.err.println(e.toString());
		}	
		return null;
	}
}
